> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Custom Sounds > List all custom sounds. ### Changelog | Version | Description | | ---------------- | ------------| | 2.4.0 | Added | | 2.4.0 | Added `name` query parameter for filtering. | ## OpenAPI ````json GET /api/v1/custom-sounds.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Content Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Assets" }, { "name": "Custom Emoji" }, { "name": "Custom Sounds" }, { "name": "Custom User Status" } ], "paths": { "/api/v1/custom-sounds.list": { "get": { "tags": [ "Custom Sounds" ], "summary": "List Custom Sounds", "description": "List all custom sounds. \n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n| 2.4.0 | Added |\n| 2.4.0 | Added `name` query parameter for filtering. |", "operationId": "get-api-v1-custom-sounds.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/query" }, { "name": "name", "in": "query", "description": "Filter list by the name of the custom sound.", "schema": { "type": "string" }, "example": "drill" }, { "schema": {}, "in": "query", "name": "sort", "description": "Sort the results in ascending (`1`) or descending (`-1`) order. The options are:\n * `name`: Sort the results by name. For example, `sort={\"name\": 1}` (default) or `sort={\"name\": -1}`.\n * `_id`: Sort by ID. For example, `sort={\"_id\": 1}` or `sort={\"_id\": -1}`." } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "sounds": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "extension": { "type": "string" }, "_updatedAt": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "sounds": [ { "_id": "65462caea2f73c7460e18f83", "name": "doremi", "extension": "mp3", "_updatedAt": "2023-11-04T11:36:14.171Z" } ], "count": "1", "offset": "0", "total": "1", "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#paginations) to learn more.", "required": "false", "schema": { "type": "integer" }, "example": "50" }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": "false", "schema": { "type": "integer" }, "example": "50" }, "query": { "name": "query", "in": "query", "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": query={ \"name\": { \"$regex\": \"g\" } }. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": "false", "schema": {} } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````